Overview | Modules | Class Hierarchy | Classes | Members

# Mouse_interactor

## Namespaces

- namespace tlp
- namespace tlp
- namespace tlp

## Classes

- class tlp::MouseBoxZoomer
- class tlp::MouseEdgeBuilder
- class tlp::MouseEdgeSelector
- class tlp::MousePanNZoomNavigator
- class tlp::MouseElementDeleter
- class tlp::MouseNKeysNavigator
- class tlp::MouseMagicSelector
- class tlp::MouseNodeBuilder
- class tlp::MouseSelector

## Functions

- bool tlp::MouseShowElementInfos::eventFilter (QObject *widget, QEvent *e)
- InteractorComponent * tlp::MouseShowElementInfos::clone ()

## Function Documentation

InteractorComponent* tlp::MouseShowElementInfos::clone | ( |  | ) | `[inline, virtual, inherited]`

| Clone this interactor component Implements tlp::InteractorComponent.

bool tlp::MouseShowElementInfos::eventFilter | ( | QObject * | widget,
|  | QEvent * | e
| ) | `[inline, inherited]`

Tulip Software by LaBRI Visualization Team 2001 - 2010